Systems

List Systems

get

Lists all systems. Note: In the Patchworks dashboard, a system is known as a connector.

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • logo

  • logo_count

  • logoExists

  • systemType

  • systemType_count

  • systemTypeExists

  • connectors

  • connectors_count

  • connectorsExists

  • connectors.authenticationImplementation

  • endpoints

  • endpoints_count

  • endpointsExists

  • authenticationImplementations

  • authenticationImplementations_count

  • authenticationImplementationsExists

  • authenticationImplementations.variables

  • authenticationImplementations.authenticationType

  • variables

  • variables_count

  • variablesExists

  • systemTemplate

  • systemTemplate_count

  • systemTemplateExists

  • systemTemplate.company

  • systemTemplate.marketplaceCompany

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • withUpdatable

  • fromMarketplace

  • fromApp

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • systems.id

  • systems.name

  • systems.label

  • systems.colour

  • systems.system_template_id

  • systems.version

  • systems.version_name

  • systems.system_type_id

  • systems.protocol

  • systems.date_format

  • systems.help_link

  • systems.created_at

  • systems.updated_at

  • systems.rate_limit_unit

  • systems.rate_limit_duration

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[name]stringOptional

Filter results by name.

filter[canonical_key]stringOptional

Filter results by canonical_key.

filter[withUpdatable]stringOptional

Filter results by withUpdatable.

filter[fromMarketplace]stringOptional

Filter results by fromMarketplace.

filter[fromApp]stringOptional

Filter results by fromApp.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

includestringOptional

Comma-separated list of relationships to include. Available: logo, systemType, connectors, connectors.authenticationImplementation, endpoints, authenticationImplementations.variables, authenticationImplementations.authenticationType, variables, systemTemplate.company, systemTemplate.marketplaceCompany, endpoints.preScriptVersion, endpoints.postScriptVersion, endpoints.preScriptVersion.script, endpoints.postScriptVersion.script

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/systems

Create System

post

Creates a new system. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

version_name

string

label

string

colour

string

logo

rate_limit_unit

string

rate_limit_duration

integer

system_type_id

protocol

string

system_template_id

integer

date_format

string

help_link

string

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Body
version_namestringRequired
labelstringRequired
colourstring · enumRequiredPossible values:
logostringRequired
rate_limit_unitstring · enumRequiredPossible values:
rate_limit_durationintegerRequired
system_type_idstringRequired
protocolstring · enumRequiredPossible values:
system_template_idintegerOptional
date_formatstringRequired
help_linkstring · nullableOptional
namestringRequired
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/systems

Get System

get

Retrieves details for a given system. Note: In the Patchworks dashboard, a system is known as a connector.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • logo

  • logo_count

  • logoExists

  • systemType

  • systemType_count

  • systemTypeExists

  • connectors

  • connectors_count

  • connectorsExists

  • connectors.authenticationImplementation

  • endpoints

  • endpoints_count

  • endpointsExists

  • authenticationImplementations

  • authenticationImplementations_count

  • authenticationImplementationsExists

  • authenticationImplementations.variables

  • authenticationImplementations.authenticationType

  • variables

  • variables_count

  • variablesExists

  • systemTemplate

  • systemTemplate_count

  • systemTemplateExists

  • systemTemplate.company

  • systemTemplate.marketplaceCompany

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • withUpdatable

  • fromMarketplace

  • fromApp

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • systems.id

  • systems.name

  • systems.label

  • systems.colour

  • systems.system_template_id

  • systems.version

  • systems.version_name

  • systems.system_type_id

  • systems.protocol

  • systems.date_format

  • systems.help_link

  • systems.created_at

  • systems.updated_at

  • systems.rate_limit_unit

  • systems.rate_limit_duration

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[canonical_key]stringOptional

Filter results by canonical_key.

filter[withUpdatable]stringOptional

Filter results by withUpdatable.

filter[fromMarketplace]stringOptional

Filter results by fromMarketplace.

filter[fromApp]stringOptional

Filter results by fromApp.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

includestringOptional

Comma-separated list of relationships to include. Available: logo, systemType, connectors, connectors.authenticationImplementation, endpoints, authenticationImplementations.variables, authenticationImplementations.authenticationType, variables, systemTemplate.company, systemTemplate.marketplaceCompany, endpoints.preScriptVersion, endpoints.postScriptVersion, endpoints.preScriptVersion.script, endpoints.postScriptVersion.script

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/systems/{system}

Update System

put

Updates an existing system. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

version_name

string

label

string

colour

string

rate_limit_unit

string

rate_limit_duration

integer

system_type_id

protocol

string

system_template_id

integer

logo

date_format

string

help_link

string

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Body
version_namestringOptional
labelstringOptional
colourstring · enumOptionalPossible values:
rate_limit_unitstring · enumOptionalPossible values:
rate_limit_durationintegerOptional
system_type_idstringOptional
protocolstring · enumOptionalPossible values:
system_template_idintegerOptional
logostringOptional
date_formatstringOptional
help_linkstring · nullableOptional
namestringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/systems/{system}

Delete System

delete

Deletes a given system. Note: In the Patchworks dashboard, a system is known as a connector.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/systems/{system}

Export System

post

Exports a given system. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

system_id

integer

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Body
system_idintegerRequired
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/systems/export

Import System

post

To be confirmed. Note: In the Patchworks dashboard, a system is known as a connector. Import for import.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

system

metadata

as_marketplace

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Body
systemstringRequired
metadatastringRequired
as_marketplacestringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/systems/import

Postman Import

post

Creates a system from a Postman import. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

collection_url

string

collection_file

precog

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Body
collection_urlstringOptional
collection_filestringOptional
precogstringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/systems/import-postman

Upload System

post

Uploads a system to your private marketplace. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

private

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Body
privatestringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/systems/{system}/upload

List System Endpoints

get

Retrieves a paginated list of endpoints for a given system. Can be filtered by name, direction, http_method, and other criteria. Note: In the Patchworks dashboard, a system is known as a connector.

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • connector

  • connector_count

  • connectorExists

  • system

  • system_count

  • systemExists

  • entityType

  • entityType_count

  • entityTypeExists

  • entityType.fieldTags

  • endpointTemplate

  • endpointTemplate_count

  • endpointTemplateExists

  • variables

  • variables_count

  • variablesExists

  • authenticationImplementations

  • authenticationImplementations_count

  • authenticationImplementationsExists

  • fieldTags

  • fieldTags_count

  • fieldTagsExists

  • filters

  • filters_count

  • filtersExists

  • endpointSchema

  • endpointSchema_count

  • endpointSchemaExists

  • preScriptVersion

  • preScriptVersion_count

  • preScriptVersionExists

  • preScriptVersion.script

  • postScriptVersion

  • postScriptVersion_count

  • postScriptVersionExists

  • postScriptVersion.script

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • system_id

  • entity_type_id

  • endpoint

  • direction

  • http_method

  • endpoint_template_id

  • data_type

  • deprecated_at

  • data_path

  • body_format

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • endpoints.id

  • endpoints.name

  • endpoints.entity_type_id

  • endpoints.direction

  • endpoints.http_method

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

  • system_id

  • entity_type_id

  • endpoint

  • direction

  • http_method

  • endpoint_template_id

  • data_type

  • deprecated_at

  • data_path

  • body_format

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[system_id]stringOptional

Filter results by system_id.

filter[entity_type_id]stringOptional

Filter results by entity_type_id.

filter[endpoint]stringOptional

Filter results by endpoint.

filter[direction]stringOptional

Filter results by direction.

filter[http_method]stringOptional

Filter results by http_method.

filter[endpoint_template_id]stringOptional

Filter results by endpoint_template_id.

filter[data_type]stringOptional

Filter results by data_type.

filter[deprecated_at]stringOptional

Filter results by deprecated_at.

filter[data_path]stringOptional

Filter results by data_path.

filter[body_format]stringOptional

Filter results by body_format.

includestringOptional

Comma-separated list of relationships to include. Available: connector, system, entityType, entityType.fieldTags, endpointTemplate, variables, authenticationImplementations, fieldTags, filters, endpointSchema, preScriptVersion.script, postScriptVersion.script

sortstringOptional

Sort field. Prefix with - for descending. Available: name, system_id, entity_type_id, endpoint, direction, http_method, endpoint_template_id, data_type, deprecated_at, data_path, body_format

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/systems/{system}/endpoints

Create System Endpoint

post

Creates a new endpoint for a given system. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

entity_type_id

integer

endpoint

string

direction

string

returns_multiple_records

http_method

string

data_type

string

pagination_method

string

schema

string

endpoint_template_id

integer

data_path

string

body_format

string

raw_body

string

deprecated_at

help_link

string

disable_header_addition

response_encoding

string

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Body
entity_type_idinteger · nullableOptional
endpointstringRequired
directionstring · enumRequiredPossible values:
returns_multiple_recordsstringRequired
http_methodstring · enumRequiredPossible values:
data_typestring · enumRequiredPossible values:
pagination_methodstring · enum · nullableOptionalPossible values:
schemastring · nullableOptional
endpoint_template_idintegerOptional
data_pathstring · nullableOptional
body_formatstring · enumOptionalPossible values:
raw_bodystring · nullableOptional
deprecated_atstring · date-time · nullableOptional
help_linkstring · nullableOptional
disable_header_additionstring · nullableOptional
response_encodingstring · enum · nullableOptionalPossible values:
namestringRequiredPattern: ^[a-zA-Z0-9 \-&\+_]+$
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/systems/{system}/endpoints

Wsdl Ingest

post

To be confirmed. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

wsdl_url

string

update_existing

wsdl_file

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Body
wsdl_urlstringOptional
update_existingstringRequired
wsdl_filestringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/systems/{system}/endpoints/ingest-wsdl

Get System Endpoint

get

Retrieves the details for a given system endpoint. Note: In the Patchworks dashboard, a system is known as a connector.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • connector

  • connector_count

  • connectorExists

  • system

  • system_count

  • systemExists

  • entityType

  • entityType_count

  • entityTypeExists

  • entityType.fieldTags

  • endpointTemplate

  • endpointTemplate_count

  • endpointTemplateExists

  • variables

  • variables_count

  • variablesExists

  • authenticationImplementations

  • authenticationImplementations_count

  • authenticationImplementationsExists

  • fieldTags

  • fieldTags_count

  • fieldTagsExists

  • filters

  • filters_count

  • filtersExists

  • endpointSchema

  • endpointSchema_count

  • endpointSchemaExists

  • preScriptVersion

  • preScriptVersion_count

  • preScriptVersionExists

  • preScriptVersion.script

  • postScriptVersion

  • postScriptVersion_count

  • postScriptVersionExists

  • postScriptVersion.script

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • system_id

  • entity_type_id

  • endpoint

  • direction

  • http_method

  • endpoint_template_id

  • data_type

  • deprecated_at

  • data_path

  • body_format

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • endpoints.id

  • endpoints.name

  • endpoints.entity_type_id

  • endpoints.direction

  • endpoints.http_method

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

  • system_id

  • entity_type_id

  • endpoint

  • direction

  • http_method

  • endpoint_template_id

  • data_type

  • deprecated_at

  • data_path

  • body_format

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

endpointstringRequired

The endpoint identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[system_id]stringOptional

Filter results by system_id.

filter[entity_type_id]stringOptional

Filter results by entity_type_id.

filter[endpoint]stringOptional

Filter results by endpoint.

filter[direction]stringOptional

Filter results by direction.

filter[http_method]stringOptional

Filter results by http_method.

filter[endpoint_template_id]stringOptional

Filter results by endpoint_template_id.

filter[data_type]stringOptional

Filter results by data_type.

filter[deprecated_at]stringOptional

Filter results by deprecated_at.

filter[data_path]stringOptional

Filter results by data_path.

filter[body_format]stringOptional

Filter results by body_format.

includestringOptional

Comma-separated list of relationships to include. Available: connector, system, entityType, entityType.fieldTags, endpointTemplate, variables, authenticationImplementations, fieldTags, filters, endpointSchema, preScriptVersion.script, postScriptVersion.script

sortstringOptional

Sort field. Prefix with - for descending. Available: name, system_id, entity_type_id, endpoint, direction, http_method, endpoint_template_id, data_type, deprecated_at, data_path, body_format

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/systems/{system}/endpoints/{endpoint}

Update System Endpoint

put

Updates an existing system endpoint. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

entity_type_id

integer

endpoint

string

direction

string

returns_multiple_records

http_method

string

data_type

string

pagination_method

string

schema

string

endpoint_template_id

integer

data_path

string

body_format

string

raw_body

string

deprecated_at

help_link

string

pre_script_version_id

string

post_script_version_id

string

disable_header_addition

response_encoding

string

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

endpointstringRequired

The endpoint identifier.

Body
entity_type_idinteger · nullableOptional
endpointstringOptional
directionstring · enumOptionalPossible values:
returns_multiple_recordsstringOptional
http_methodstring · enumOptionalPossible values:
data_typestring · enumOptionalPossible values:
pagination_methodstring · enum · nullableOptionalPossible values:
schemastring · nullableOptional
endpoint_template_idintegerOptional
data_pathstring · nullableOptional
body_formatstring · enumOptionalPossible values:
raw_bodystring · nullableOptional
deprecated_atstring · nullableOptional
help_linkstring · nullableOptional
pre_script_version_idstring · nullableOptional
post_script_version_idstring · nullableOptional
disable_header_additionstringOptional
response_encodingstring · enum · nullableOptionalPossible values:
namestringOptionalPattern: ^[a-zA-Z0-9 \-&\+_]+$
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/systems/{system}/endpoints/{endpoint}

Delete System Endpoint

delete

Deletes an existing system endpoint. Note: In the Patchworks dashboard, a system is known as a connector.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

endpointstringRequired

The endpoint identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/systems/{system}/endpoints/{endpoint}

Clone System Endpoint

post

Clones a given system endpoint. Note: In the Patchworks dashboard, a system is known as a connector.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

endpointstringRequired

The endpoint identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/systems/{system}/endpoints/{endpoint}/clone

List System Endpoint Metrics

get

Retrieves metrics for endpoints associated with a given system. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

interval_start

interval_end

interval_unit

string

model_type

string

key

string

keys

managed_companies

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/systems/{system}/endpoint-metrics

List System Authentication Implementations

get

Lists all authentication implementations for a given system. Note: In the Patchworks dashboard, a system is known as a connector.

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • system

  • system_count

  • systemExists

  • system.systemType

  • authenticationType

  • authenticationType_count

  • authenticationTypeExists

  • variables

  • variables_count

  • variablesExists

  • endpoints

  • endpoints_count

  • endpointsExists

  • preScriptVersion

  • preScriptVersion_count

  • preScriptVersionExists

  • preScriptVersion.script

  • postScriptVersion

  • postScriptVersion_count

  • postScriptVersionExists

  • postScriptVersion.script

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • endpoint

  • method

  • additional_endpoint_1

  • additional_endpoint_2

  • system_id

  • authentication_type_id

  • version

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

  • endpoint

  • method

  • additional_endpoint_1

  • additional_endpoint_2

  • system_id

  • authentication_type_id

  • version

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[endpoint]stringOptional

Filter results by endpoint.

filter[method]stringOptional

Filter results by method.

filter[additional_endpoint_1]stringOptional

Filter results by additional_endpoint_1.

filter[additional_endpoint_2]stringOptional

Filter results by additional_endpoint_2.

filter[system_id]stringOptional

Filter results by system_id.

filter[authentication_type_id]stringOptional

Filter results by authentication_type_id.

filter[version]stringOptional

Filter results by version.

includestringOptional

Comma-separated list of relationships to include. Available: system, system.systemType, authenticationType, variables, endpoints, preScriptVersion.script, postScriptVersion.script

sortstringOptional

Sort field. Prefix with - for descending. Available: name, endpoint, method, additional_endpoint_1, additional_endpoint_2, system_id, authentication_type_id, version

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/systems/{system}/authentication-implementations

Create System Authentication Implementation

post

Creates a new authentication implementation for a given system. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

endpoint

string

method

string

data_type

body_format

additional_endpoint_1

string

additional_endpoint_2

string

timeout

integer

authentication_type_id

help_link

string

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Body
endpointstring · nullableRequired
methodstringRequired
data_typestring · enum · nullableOptionalPossible values:
body_formatstring · enum · nullableOptionalPossible values:
additional_endpoint_1string · nullableOptional
additional_endpoint_2string · nullableOptional
timeoutinteger · min: 1 · max: 65535Optional
authentication_type_idstringRequired
help_linkstring · nullableOptional
namestringRequired
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/systems/{system}/authentication-implementations

Get System Authentication Implementation

get

Retrieves a given authentication implementation for a system. Note: In the Patchworks dashboard, a system is known as a connector.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • system

  • system_count

  • systemExists

  • system.systemType

  • authenticationType

  • authenticationType_count

  • authenticationTypeExists

  • variables

  • variables_count

  • variablesExists

  • endpoints

  • endpoints_count

  • endpointsExists

  • preScriptVersion

  • preScriptVersion_count

  • preScriptVersionExists

  • preScriptVersion.script

  • postScriptVersion

  • postScriptVersion_count

  • postScriptVersionExists

  • postScriptVersion.script

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • endpoint

  • method

  • additional_endpoint_1

  • additional_endpoint_2

  • system_id

  • authentication_type_id

  • version

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

  • endpoint

  • method

  • additional_endpoint_1

  • additional_endpoint_2

  • system_id

  • authentication_type_id

  • version

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

authentication_implementationstringRequired

The authentication implementation identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[endpoint]stringOptional

Filter results by endpoint.

filter[method]stringOptional

Filter results by method.

filter[additional_endpoint_1]stringOptional

Filter results by additional_endpoint_1.

filter[additional_endpoint_2]stringOptional

Filter results by additional_endpoint_2.

filter[system_id]stringOptional

Filter results by system_id.

filter[authentication_type_id]stringOptional

Filter results by authentication_type_id.

filter[version]stringOptional

Filter results by version.

includestringOptional

Comma-separated list of relationships to include. Available: system, system.systemType, authenticationType, variables, endpoints, preScriptVersion.script, postScriptVersion.script

sortstringOptional

Sort field. Prefix with - for descending. Available: name, endpoint, method, additional_endpoint_1, additional_endpoint_2, system_id, authentication_type_id, version

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/systems/{system}/authentication-implementations/{authentication_implementation}

Update System Authentication Implementation

put

Updates an existing authentication implementation for a system. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

endpoint

string

method

string

data_type

body_format

additional_endpoint_1

string

additional_endpoint_2

string

timeout

integer

authentication_type_id

pre_script_version_id

string

post_script_version_id

string

help_link

string

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • system

  • system_count

  • systemExists

  • system.systemType

  • authenticationType

  • authenticationType_count

  • authenticationTypeExists

  • variables

  • variables_count

  • variablesExists

  • endpoints

  • endpoints_count

  • endpointsExists

  • preScriptVersion

  • preScriptVersion_count

  • preScriptVersionExists

  • preScriptVersion.script

  • postScriptVersion

  • postScriptVersion_count

  • postScriptVersionExists

  • postScriptVersion.script

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • endpoint

  • method

  • additional_endpoint_1

  • additional_endpoint_2

  • system_id

  • authentication_type_id

  • version

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

  • endpoint

  • method

  • additional_endpoint_1

  • additional_endpoint_2

  • system_id

  • authentication_type_id

  • version

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

authentication_implementationstringRequired

The authentication implementation identifier.

Body
endpointstring · nullableOptional
methodstringOptional
data_typestring · enum · nullableOptionalPossible values:
body_formatstring · enum · nullableOptionalPossible values:
additional_endpoint_1string · nullableOptional
additional_endpoint_2string · nullableOptional
timeoutinteger · min: 1 · max: 65535Optional
authentication_type_idstringOptional
pre_script_version_idstring · nullableOptional
post_script_version_idstring · nullableOptional
help_linkstring · nullableOptional
namestringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/systems/{system}/authentication-implementations/{authentication_implementation}

Delete System Authentication Implementation

delete

Deletes a given authentication implementation for a system. Note: In the Patchworks dashboard, a system is known as a connector.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

authentication_implementationstringRequired

The authentication implementation identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/systems/{system}/authentication-implementations/{authentication_implementation}

List System Variables

get

List all variables for a given system. Note: In the Patchworks dashboard, a system is known as a connector.

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • label

  • key

  • value

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • label

  • key

  • value

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Query parameters
filter[label]stringOptional

Filter results by label.

filter[key]stringOptional

Filter results by key.

filter[value]stringOptional

Filter results by value.

sortstringOptional

Sort field. Prefix with - for descending. Available: label, key, value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/systems/{system}/variables

Create System Variable

post

Creates a new variable for a given system. Note: In the Patchworks dashboard, a system is known as a connector.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

label

string

key

string

value

string

secret

pivot.alias

string

pivot.configurable

pivot.required

pivot.advanced

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

Body
labelstringRequired
keystringRequired
valuestringOptional
secretstringOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/systems/{system}/variables

Delete System Variable

delete

Deletes a given system variable. Note: In the Patchworks dashboard, a system is known as a connector.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
systemstringRequired

The system identifier.

variablestringRequired

The variable identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/systems/{system}/variables/{variable}

Last updated

Was this helpful?